'Prologue

Public Class frmCarPayments


    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        'Clears RichTextBox and write header

        rtbOutput.Clear()
        rtbOutput.AppendText("                      Lem Uhn's Used Car Sales" & vbNewLine)
        rtbOutput.AppendText("                    Monthly Car Payment Options" & vbNewLine)
        rtbOutput.AppendText("                      ________________________" & vbNewLine & vbNewLine)
        rtbOutput.AppendText("Principal    Rate     Years   Payment       Total  Interest Paid" & vbNewLine)
        rtbOutput.AppendText("" & vbNewLine)

    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        End

    End Sub

    Private Sub btnPayment_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPayment.Click
        'Calculates monthly payment

        Dim decPrincipal As Decimal
        Dim sngRate As Single
        Dim bytTime As Byte
        Dim decPayment As Decimal
        Dim decTotal As Decimal
        Dim decInterestPaid As Decimal
        Dim strOut As String

        'Input
        decPrincipal = nudPrincipal.Value
        sngRate = nudRate.Value
        bytTime = nudTime.Value

        'Processing
        sngRate = sngRate / 100
        decPayment = Math.Abs(Pmt(sngRate / 12, bytTime * 12, decPrincipal))
        decTotal = decPayment * bytTime * 12
        decInterestPaid = decTotal - decPrincipal

        'Output
        strOut = decPrincipal.ToString("c") & ControlChars.Tab & sngRate.ToString("p2") & ControlChars.Tab & bytTime.ToString & ControlChars.Tab & decPayment.ToString("c") & ControlChars.Tab & decTotal.ToString("c") & ControlChars.Tab & decInterestPaid.ToString("c") & vbNewLine
        rtbOutput.AppendText(strOut)

    End Sub

    Private Sub frmCarPayments_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        rtbOutput.Clear()
        rtbOutput.AppendText("                      Lem Uhn's Used Car Sales" & vbNewLine)
        rtbOutput.AppendText("                    Monthly Car Payment Options" & vbNewLine)
        rtbOutput.AppendText("                      ________________________" & vbNewLine & vbNewLine)
        rtbOutput.AppendText("Principal    Rate     Years   Payment       Total  Interest Paid" & vbNewLine)
        rtbOutput.AppendText("" & vbNewLine)

    End Sub

End Class
